%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install 2>1 >/dev/null ; then echo "yes" ; fi)

Summary: Soundfile mixer
Name: mix
Version: 20010402
Release: 1
URL: http://gige.xdv.org/pages/soft/pages/mix
Source0: %{name}-%{version}.tgz
Patch0: mix-resources.patch
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
Distribution: Planet CCRMA
Packager: Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>

%description
Mix is a soundfile mixer originally developed by Dr. Ovyind Hammer. It
was then adapted to Linux, and further developed. You can download and
test it from this site.

%prep
%setup -q -n mix
%patch0 -p1

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --with-plugin=%{_libdir}/mix/plugin
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mix

make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 mixhelp-new.html $RPM_BUILD_ROOT%{_datadir}/mix/mixhelp.html

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Mix
Comment=Soundfile mixer
Icon=
Exec=%{_prefix}/X11R6/bin/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

%clean
# rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYRIGHT GPL README* TODO
%{_prefix}/X11R6/bin/%{name}
%{_prefix}/X11R6/lib/X11/app-defaults/Mix
%{_libdir}/mix
%{_datadir}/mix

%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Tue Oct 29 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.
- changed Mix resources: changed browser to mozilla, set explicit
  location of the mixhelp.html help file, changed soundfile player
  to sndplay. 
